import { marker as _ } from '@biesbjerg/ngx-translate-extract-marker';
import { RemoveRedactionOption } from '../modules/file-preview/utils/dialog-options';
import { DialogOption } from '@translations/redact-text-translations';

export const removeRedactionTranslations: { [key in RemoveRedactionOption]: DialogOption } = {
    ONLY_HERE: {
        label: _('remove-redaction.dialog.content.options.only-here.label'),
        description: _('remove-redaction.dialog.content.options.only-here.description'),
        descriptionBulk: _('remove-redaction.dialog.content.options.only-here.description-bulk'),
    },
    IN_DOSSIER: {
        label: _('remove-redaction.dialog.content.options.in-dossier.label'),
        labelBulk: _('remove-redaction.dialog.content.options.in-dossier.label-bulk'),
        description: _('remove-redaction.dialog.content.options.in-dossier.description'),
        descriptionBulk: _('remove-redaction.dialog.content.options.in-dossier.description-bulk'),
        extraOptionLabel: _('remove-redaction.dialog.content.options.in-dossier.extraOptionLabel'),
    },
    FALSE_POSITIVE: {
        label: _('remove-redaction.dialog.content.options.false-positive.label'),
        description: _('remove-redaction.dialog.content.options.false-positive.description'),
        descriptionBulk: _('remove-redaction.dialog.content.options.false-positive.description-bulk'),
        extraOptionLabel: _('remove-redaction.dialog.content.options.false-positive.extraOptionLabel'),
    },
    DO_NOT_RECOMMEND: {
        label: _('remove-redaction.dialog.content.options.do-not-recommend.label'),
        description: _('remove-redaction.dialog.content.options.do-not-recommend.description'),
        descriptionBulk: _('remove-redaction.dialog.content.options.do-not-recommend.description-bulk'),
        extraOptionLabel: _('remove-redaction.dialog.content.options.do-not-recommend.extraOptionLabel'),
    },
};
